<div class="meal-item">
  <nb-card>
    <nb-card-header>
      {{ meal.name }}
    </nb-card-header>
    <nb-card-body>
      <div class="img-container">
        <div class="img" [ngStyle]="{'background-image': 'url(' + meal.imgUrl + ')'}"></div>
      </div>
      <div class="description-container px-3">
        <p>{{ meal.description }}</p>
      </div>
    </nb-card-body>
    <nb-card-footer class="d-flex justify-content-between">
      <div>
        <h6>Price: {{ meal.price | currency }}</h6>
      </div>
      <div class="d-flex">
        <button nbButton (click)="addToCart()" class="mr-3">Add to cart</button>

        <app-meal-counter [count]="count" (countChanged)="onCountChange($event)"></app-meal-counter>
      </div>
    </nb-card-footer>
  </nb-card>
</div>
